@echo off
setlocal

set VERSION7=7
for /f "tokens=3" %%g in ('java -version 2^>^&1 ^| findstr /i "version"') do (
    rem @echo Output: %%g
    set JAVAVER=%%g
)
set JAVAVER=%JAVAVER:"=%
rem @echo Output: %JAVAVER%

for /f "delims=. tokens=1-3" %%v in ("%JAVAVER%") do (
    rem @echo Major: %%v
    rem @echo Minor: %%w
    set MINOR=%%w
    rem @echo Build: %%x
)
rem echo %MINOR%
rem echo %VERSION7%
if %MINOR% NEQ %VERSION7% (
    echo Expecting Java 1.7, found %JAVAVER%
    exit
)
endlocal

java -jar Xapagy.jar %*


